// Описать своими словами для чего вообще нужны функции в программировании.
// Описать своими словами, зачем в функцию передавать аргумент.


// Задание
// Реализовать функцию, которая будет производить математические операции с 
// введеными пользователем числами. 
// Технические требования:
// Считать с помощью модального окна браузера два числа.
// Считать с помощью модального окна браузера математическую операцию, 
// которую нужно совершить. Сюда может быть введено +, -, *, /.
// Создать функцию, в которую передать два значения и операцию.
// Вывести в консоль результат выполнения функции.
// Необязательное задание продвинутой сложности:
// После ввода данных добавить проверку их корректности. Если пользователь не ввел числа, 
// либо при вводе указал не числа, - спросить оба числа заново (при этом значением по 
//     умолчанию для каждой из переменных должна быть введенная ранее информация).

let number1 = prompt('Enter your first number');
let number2 = prompt('Enter your second number');
let operation = prompt('Choose math operation:', '+, -, *, /');

if (number1 === null || number2 === null || !isFinite(number1) || !isFinite(number2)) {
    while (number1 === null || !isFinite(number1)) {
        number1 = prompt('Eneter your first number');
    }

    while (number2 === null || !isFinite(number2)) {
        number2 = prompt('Eneter your second number');
    }
}

function action(number1, number2, operation) {
    switch(operation) {
        case '+':
            return number1 + number2;
        case '-':
            return number1 - number2;
        case '*':
            return number1 * number2;
        case '/':
            return nubmer1 / number2;
        default:
            `I don't know this operation`;
    }
}

let result = action(+number1, +number2, operation);
console.log(result);

// Функция выполняет заданное действие. Можно сказать, что фунция - маленькая программа.
// Она помогает не дублировать код. Так же, в случаи поправок - нам не придеться
// менять ее менять везде, где мы ее вызывали (иопользовали), достаточно будет изменить 
// ее в одном месте и результат поправок во всех ее вызовах.

// Аргументы - данные, которые передаются функции для работы с ними.
